javax.el

## Class ELContext

- java.lang.Object
- - javax.el.ELContext

-     public abstract class ELContext
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ELContext()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getContext(java.lang.Class key)` Obtain the context object for the given key.
    `abstract ELResolver` | `getELResolver()`
    `abstract FunctionMapper` | `getFunctionMapper()`
    `java.util.Locale` | `getLocale()`
    `abstract VariableMapper` | `getVariableMapper()`
    `boolean` | `isPropertyResolved()`
    `void` | `putContext(java.lang.Class key, java.lang.Object contextObject)` Add an object to this EL context under the given key.
    `void` | `setLocale(java.util.Locale locale)`
    `void` | `setPropertyResolved(boolean resolved)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ELContext

          public ELContext()

  - ### Method Detail

    - #### getContext

          public java.lang.Object getContext(java.lang.Class key)

      Obtain the context object for the given key.
      Parameters:
        `key` - The key of the required context object
      Returns:
        The value of the context object associated with the given key
      Throws:
        `java.lang.NullPointerException` - If the supplied key is `null`

    - #### putContext

          public void putContext(java.lang.Class key,
                        java.lang.Object contextObject)
                          throws java.lang.NullPointerException

      Add an object to this EL context under the given key.
      Parameters:
        `key` - The key under which to store the object
        `contextObject` - The object to add
      Throws:
        `java.lang.NullPointerException` - If the supplied key or context is `null`

    - #### setPropertyResolved

          public void setPropertyResolved(boolean resolved)

    - #### isPropertyResolved

          public boolean isPropertyResolved()

    - #### getELResolver

          public abstract ELResolver getELResolver()

    - #### getFunctionMapper

          public abstract FunctionMapper getFunctionMapper()

    - #### getVariableMapper

          public abstract VariableMapper getVariableMapper()

    - #### getLocale

          public java.util.Locale getLocale()

    - #### setLocale

          public void setLocale(java.util.Locale locale)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.